Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryKeyGenDelegate Delegate
See Also Send Feedback

The function that creates the set of secondary keys corresponding to a given primary key and data pair. To create multiple secondary keys, return a MultipleDatabaseEntry.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate DatabaseEntry SecondaryKeyGenDelegate(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)
    Public Delegate Function SecondaryKeyGenDelegate ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As DatabaseEntry

Visual C++
    public delegate DatabaseEntry^ SecondaryKeyGenDelegate(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The primary key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The primary data item

#### Return Value

The secondary key(s)

# See Also

BerkeleyDB Namespace